unit UnitListViews;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  sRadioButton, ExtCtrls, sPanel, sGroupBox, ComCtrls, sListView, sFrameAdapter, StdCtrls,
  sComboBox;

type
  TFrameListViews = class(TFrame)
    sListView1: TsListView;
    sGroupBox10: TsGroupBox;
    sRadioButton21: TsRadioButton;
    sRadioButton22: TsRadioButton;
    sRadioButton23: TsRadioButton;
    sRadioButton24: TsRadioButton;
    sFrameAdapter1: TsFrameAdapter;
    sComboBox1: TsComboBox;
    procedure sRadioButton21Change(Sender: TObject);
    procedure sRadioButton22Change(Sender: TObject);
    procedure sRadioButton23Change(Sender: TObject);
    procedure sRadioButton24Change(Sender: TObject);
    procedure sComboBox1Change(Sender: TObject);
  end;

implementation

{$R *.DFM}

procedure TFrameListViews.sRadioButton21Change(Sender: TObject);
begin
  sListView1.ViewStyle := vsIcon;
end;

procedure TFrameListViews.sRadioButton22Change(Sender: TObject);
begin
  sListView1.ViewStyle := vsList;
end;

procedure TFrameListViews.sRadioButton23Change(Sender: TObject);
begin
  sListView1.ViewStyle := vsReport;
end;

procedure TFrameListViews.sRadioButton24Change(Sender: TObject);
begin
  sListView1.ViewStyle := vsSmallIcon;
end;

procedure TFrameListViews.sComboBox1Change(Sender: TObject);
begin
  sListView1.SkinData.SkinSection := sComboBox1.Text;
end;

end.
